Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Error occurred during provisioning
Error occurred during provisioning [message #484023] Thu, 03 September 2009 22:32
Paul Glezen is currently offline Paul GlezenFriend
Messages: 59
Registered: July 2009
Member
I added a help plug-in to my feature and now my update site is having
problems. When I try to install my feature to a new Eclipse
installation, I get the following message:

========================================
!ENTRY org.eclipse.equinox.p2.engine 4 4 2009-09-03 15:22:02.906
!MESSAGE An error occurred during provisioning.
!SUBENTRY 1 org.eclipse.equinox.p2.touchpoint.eclipse 4 0 2009-09-03
15:22:02.906
!MESSAGE Failed to prepare partial IU: [R]xyz.test.help 2.1.1.
========================================

xyz.test.help.2.1.1 is the name of my help plug-in. I'm using Eclipse
3.4 Platform SDK to perform the install. I didn't have such trouble
when I used the Eclipse 3.4 RCP/Plug-in build.

Confession: After I click "Build" in my update site project, I delete
the content.xml and artifacts.xml before I publish. I've been away from
Eclipse for a while, so P2 is new to me. The new update manager doesn't
seem to work well with it. I had better results with those file gone
(until I added my help plug-in).

- Paul
Previous Topic:Adding product to Update Site with Ganymede
Next Topic:Error occurred during provisioning
Goto Forum:
  


Current Time: Sun Dec 21 19:29:09 GMT 2014

Powered by FUDForum. Page generated in 0.05650 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software